> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 搜索意图

> 此端点将为最多 1,000 个关键词提供搜索意图数据。



## OpenAPI

````yaml openapi/zh/dataforseo.json POST /dataforseo/dataforseo_labs/google/search_intent/live
openapi: 3.0.3
info:
  title: DataForSEO API
  version: 1.0.0
  description: 通过 AIsa 统一网关提供的 DataForSEO API 端点。
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /dataforseo/dataforseo_labs/google/search_intent/live:
    post:
      summary: 搜索意图
      description: >-
        此端点可为最多 1,000 个关键词提供搜索意图数据。对于设置任务时指定的每个关键词，API
        将返回该关键词的搜索意图和意图概率。除概率最高的搜索意图外，结果还将提供其他可能的搜索意图及其概率。
      operationId: post_dataforseo_dataforseo_labs_google_search_intent_live
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                keywords:
                  type: array
                  items:
                    type: string
                  description: >-
                    目标关键词 必填字段 UTF-8 编码 此数组中最多可指定 1000 个关键词；关键词将转换为小写格式 有关
                    DataForSEO API 中 keyword 和 keywords 字段的规则与限制，请参阅此帮助中心文章
                language_name:
                  type: string
                  description: >-
                    语言的完整名称 如果未指定 language_code，则为必填字段 您可以向
                    https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages
                    单独发送请求，获取可用语言及其 language_name 的列表 注意：此端点目前仅支持以下语言：Arabic,
                    ar, Chinese(Traditional), zh-TW, Czech, cs, Danish, da,
                    Dutch, nl, English, en, Finnish, fi, French, fr, German, de,
                    Hebrew, he, Hindi, hi, Italian, it, Japanese, ja, Korean,
                    ko, Malay, ms, Norwegian(Bokmål), nb, Polish, pl,
                    Portuguese, pt, Romanian, ro, Russian, ru, Spanish, es,
                    Swedish, sv, Thai, th, Ukrainian, uk, Vietnamese, vi,
                    Bulgarian, bg, Croatian, hr, Serbian, sr, Slovenian, sl,
                    Bosnian, bs, Greek, el, Hungarian, hu, Slovak, sk, Turkish,
                    tr 示例：English
                language_code:
                  type: string
                  description: >-
                    语言代码。如果未指定 language_name，则此字段为必填字段。您可以通过向
                    https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages
                    单独发送请求，获取包含 language_code 的可用语言列表。注意：此端点目前仅支持这些语言。示例：en
                tag:
                  type: string
                  description: >-
                    用户定义的任务标识符。可选字段。字符数限制为 255。您可以使用此参数标识任务并将其与结果匹配；您将在响应的 data
                    对象中找到指定的 tag 值
              required:
                - keywords
                - language_name
                - language_code
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  version:
                    type: string
                    description: API 的当前版本
                  status_code:
                    type: integer
                    description: 通用状态码；您可以在此处查看完整的响应码列表。注意：我们强烈建议设计必要的系统来处理相关异常或错误情况
                  status_message:
                    type: string
                    description: 常规信息消息；可在此处查看常规信息消息的完整列表
                  time:
                    type: string
                    description: 执行时间（秒）
                  cost:
                    type: number
                    description: 任务总成本（美元）
                  tasks_count:
                    type: integer
                    description: tasks 数组中的任务数量
                  tasks_error:
                    type: integer
                    description: 返回错误的 tasks 数组中的任务数量
                  tasks:
                    type: array
                    items:
                      type: string
                    description: 任务数组
                  tasks.id:
                    type: string
                    description: 任务标识符，系统中采用 UUID 格式的唯一任务标识符
                  tasks.status_code:
                    type: integer
                    description: DataForSEO 生成的任务状态码；范围为：10000-60000；完整响应代码列表可在此处查看
                  tasks.status_message:
                    type: string
                    description: 任务的信息性消息，你可以在此处查看通用信息性消息的完整列表
                  tasks.time:
                    type: string
                    description: 执行时间（秒）
                  tasks.cost:
                    type: number
                    description: 任务成本（美元）
                  tasks.result_count:
                    type: integer
                    description: 结果数组中的元素数量
                  tasks.path:
                    type: array
                    items:
                      type: string
                    description: URL 路径
                  tasks.data:
                    type: object
                    description: 包含您在 POST 请求中指定的相同参数
                  tasks.result:
                    type: array
                    items:
                      type: string
                    description: 结果数组
                  tasks.result.language_code:
                    type: string
                    description: POST 数组中的语言代码；如果没有数据，则值为 null
                  tasks.result.items_count:
                    type: integer
                    description: items 数组中返回的结果数量
                  tasks.result.items:
                    type: array
                    items:
                      type: string
                    description: 包含相关流量估算数据的项目数组
                  tasks.result.items.keyword:
                    type: string
                    description: POST 数组中的目标关键词
                  tasks.result.items.keyword_intent:
                    type: object
                    description: 与指定关键词相关的搜索意图数据
                  tasks.result.items.keyword_intent.label:
                    type: string
                    description: >-
                      搜索意图名称，可能的值：informational、navigational、commercial、transactional
                  tasks.result.items.keyword_intent.probability:
                    type: number
                    description: 搜索意图概率，1 表示最高概率
                  tasks.result.items.secondary_keyword_intents:
                    type: array
                    items:
                      type: string
                    description: 包含指定关键词的其他可能搜索意图对象
                  tasks.result.items.secondary_keyword_intents.label:
                    type: string
                    description: >-
                      搜索意图名称，可能的值：informational、navigational、commercial、transactional
                  tasks.result.items.secondary_keyword_intents.probability:
                    type: number
                    description: 搜索意图概率
        '400':
          description: 错误请求
        '401':
          description: 未授权
        '429':
          description: 超出速率限制
        '500':
          description: 内部服务器错误
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````